Bug 749394 - yum-cron should be removed, it is in rhel6 optional
Summary: yum-cron should be removed, it is in rhel6 optional
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: yum-cron
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Habig, Alec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 737677 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-26 22:20 UTC by Carl Thompson
Modified: 2012-10-18 04:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-18 04:11:18 UTC


Attachments (Terms of Use)

Description Carl Thompson 2011-10-26 22:20:40 UTC
Description of problem:


RHEL 6.0, 6.0 EUS, 6.1, 6.1 EUS all provide the yum-cron package.

Since it is supplied by Red Hat it should not be in epel.


From the wiki documentation:

EPEL packages are usually based on their Fedora counterparts and will never conflict with or replace packages in the base Enterprise Linux distributions.

Comment 1 Habig, Alec 2011-10-27 15:32:49 UTC
Makes sense - newer versions of yum incorporate this package in the main yum build now, and RHEL 6 has updated to that new version.

Any suggestions for how to remove a package from an EPEL tree?  Lots out there on how to add stuff, but any pointers to deletion would be appreciated.

Comment 2 Carl Thompson 2011-10-28 03:37:49 UTC
hope this helps:

http://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Comment 3 Habig, Alec 2011-11-01 16:05:54 UTC
Thanks!

For the el6 branch, I did:

  fedpkg retire

and retired it in the package database.

I don't have permissions to file a ticket to do the last step of:

  6: File a ticket for rel-eng (component koji) asking the package to be blocked from the appropriate collections in which it is retired. 

Since EPEL isn't a "release", is this even a necessary step?

For f15+ the yum-cron subpackage of the current yum already owns the "yum-cron" name, so nothing needs to be done there.  For el5 and older fedoras, the yum-cron standalone package should remain unless the modern yum gets backported, so nothing needs to be done there.

Hopefully this did the trick, let me know if not, and thanks for the help!

Comment 4 Carl Thompson 2011-11-01 16:31:33 UTC
When you log into koji you should be able to create that ticket.

You will need to download your certificate from https://admin.fedoraproject.org/accounts and download your certificate then import it into your browser to log into koji.

Comment 5 Habig, Alec 2011-11-01 16:50:53 UTC
I can log into koji just fine.  However, it turns out the "fedorahosted" link for the rel-eng ticket system does use the same FAS login: it just doesn't know that you've already logged in, and pops up a different dialog box in a different login style than the rest of the FAS.  Makes me squirm in the "I'm being phished" sense :(

Anyway, done now.

Comment 6 Habig, Alec 2011-11-22 00:28:45 UTC
*** Bug 737677 has been marked as a duplicate of this bug. ***

Comment 7 Kevin Fenzi 2012-10-18 04:11:18 UTC
This can be closed, the package is blocked.


Note You need to log in before you can comment on or make changes to this bug.